Рабочие пространства
Создать рабочую область
Создает рабочую область для аккаунта.
POST
/
v1
/
public
/
accounts
/
{account_id}
/
workspaces
Создать рабочую область
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces"
payload = { "name": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"status": "active",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Авторизации
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Параметры пути
Тело
application/json
Схема запроса для создания или обновления рабочей области.
Отображаемое имя рабочей области
Required string length:
1 - 255Ответ
Учетная запись UUID, которой принадлежит рабочая область.
UUID рабочей области
Отображаемое имя рабочей области
Временная метка создания рабочей области
Статус жизненного цикла рабочей области
Временная метка последнего обновления рабочей области
Была ли эта страница полезной?
⌘I
Создать рабочую область
